## PhoshToplevelThumbnail

PhoshToplevelThumbnail — Represents an image snapshot of PhoshToplevel obtained via phosh-private and wlr-screencopy Wayland protocols.

## Functions

PhoshToplevelThumbnail * | phosh_toplevel_thumbnail_new_from_toplevel ()

## Properties

gpointer | handle | Read / Write / Construct Only

## Types and Values

#define | PHOSH_TYPE_TOPLEVEL_THUMBNAIL
| PhoshToplevelThumbnail

## Object Hierarchy

        GObject
        ╰── PhoshThumbnail
            ╰── PhoshToplevelThumbnail

## Description

## Functions

### phosh_toplevel_thumbnail_new_from_toplevel ()

    PhoshToplevelThumbnail *
    phosh_toplevel_thumbnail_new_from_toplevel
                                   (PhoshToplevel *toplevel,
                                    guint32 max_width,
                                    guint32 max_height);

## Types and Values

### PHOSH_TYPE_TOPLEVEL_THUMBNAIL

    #define PHOSH_TYPE_TOPLEVEL_THUMBNAIL (phosh_toplevel_thumbnail_get_type())

### PhoshToplevelThumbnail

    typedef struct _PhoshToplevelThumbnail PhoshToplevelThumbnail;

## Property Details

### The `“handle”` property

      “handle”                   gpointer

The zwlr_screencopy_frame_v1 object associated with this thumbnail.

Owner: PhoshToplevelThumbnail

Flags: Read / Write / Construct Only